Metrics/AbcSize:
  Enabled: false

Metrics/BlockNesting:
  Max: 2

Metrics/LineLength:
  AllowURI: true
  Enabled: false

Metrics/MethodLength:
  CountComments: false
  Max: 10

Metrics/ParameterLists:
  Max: 4
  CountKeywordArgs: true

Style/AccessModifierIndentation:
  EnforcedStyle: outdent

Style/CollectionMethods:
  PreferredMethods:
    map:      'collect'
    reduce:   'inject'
    find:     'detect'
    find_all: 'select'

Style/Documentation:
  Enabled: false

Style/DotPosition:
  EnforcedStyle: trailing

Style/DoubleNegation:
  Enabled: false

Style/FileName:
  Exclude:
    - 'lib/omniauth-oauth.rb'

Style/HashSyntax:
  EnforcedStyle: hash_rockets

Style/Lambda:
  Enabled: false

Style/SpaceInsideHashLiteralBraces:
  EnforcedStyle: no_space

Style/StringLiterals:
  EnforcedStyle: double_quotes

Style/TrailingComma:
  EnforcedStyleForMultiline: 'comma'
